=head1 NAME

Gnome2::Druid - wrapper for GnomeDruid

=cut

=head1 HIERARCHY

  Glib::Object
  +----Glib::InitiallyUnowned
       +----Gtk2::Object
            +----Gtk2::Widget
                 +----Gtk2::Container
                      +----Gnome2::Druid



=cut

=head1 INTERFACES

  Glib::Object::_Unregistered::AtkImplementorIface
  Gtk2::Buildable



=cut


=head1 METHODS

=head2 widget = Gnome2::Druid-E<gt>B<new> 

=head2 list = Gnome2::Druid-E<gt>B<new_with_window> ($title, $parent, $close_on_cancel)

=over

=item * $title (string) 

=item * $parent (Gtk2::Window or undef) 

=item * $close_on_cancel (boolean) 

=back


Returns a GnomeDruid and a GtkWindow.


=head2 $druid-E<gt>B<append_page> ($page)

=over

=item * $page (Gnome2::DruidPage) 

=back

=head2 widget = $druid-E<gt>B<back> 

=head2 $druid-E<gt>B<set_buttons_sensitive> ($back_sensitive, $next_sensitive, $cancel_sensitive, $help_sensitive)

=over

=item * $back_sensitive (boolean) 

=item * $next_sensitive (boolean) 

=item * $cancel_sensitive (boolean) 

=item * $help_sensitive (boolean) 

=back

=head2 widget = $druid-E<gt>B<cancel> 

=head2 widget = $druid-E<gt>B<finish> 

=head2 widget = $druid-E<gt>B<help> 

=head2 $druid-E<gt>B<insert_page> ($back_page, $page)

=over

=item * $back_page (Gnome2::DruidPage or undef) 

=item * $page (Gnome2::DruidPage) 

=back

=head2 widget = $druid-E<gt>B<next> 

=head2 $druid-E<gt>B<set_page> ($page)

=over

=item * $page (Gnome2::DruidPage) 

=back

=head2 $druid-E<gt>B<prepend_page> ($page)

=over

=item * $page (Gnome2::DruidPage) 

=back

=head2 $druid-E<gt>B<set_show_finish> ($show_finish)

=over

=item * $show_finish (boolean) 

=back

=head2 $druid-E<gt>B<set_show_help> ($show_help)

=over

=item * $show_help (boolean) 

=back



=cut


=head1 PROPERTIES

=over

=item 'show-finish' (boolean : default false : readable / writable)

Show the 'Finish' button instead of the 'Next' button

=item 'show-help' (boolean : default false : readable / writable)

Show the 'Help' button

=back



=cut


=head1 SIGNALS

=over

=item B<cancel> (Gnome2::Druid)

=item B<help> (Gnome2::Druid)

=back



=cut


=head1 SEE ALSO

L<Gnome2>, L<Glib::Object>, L<Glib::InitiallyUnowned>, L<Gtk2::Object>, L<Gtk2::Widget>, L<Gtk2::Container>


=cut


=head1 COPYRIGHT

Copyright (C) 2003-2004 by the gtk2-perl team.

This software is licensed under the LGPL.  See L<Gnome2> for a full notice.



=cut

